package com.brilliance.isc.esb.model.inner;

import lombok.Data;

import java.util.List;

/**
 * 备案表付汇确认内部请求模型
 */
@Data
public class InnerReqTaxconfirm {
    /**
     * 付汇业务编号
     */
    public String taxpaymentcode;
    /**
     * 付汇信息
     */
    public List<ItemPayment> payments;
    /**
     * 金融机构标识码
     */
    public String banksafecode;

    public static class ItemPayment{
        /**
         * 国际收支申报号
         */
        public String declarecode;
        /**
         * 交易编码
         */
        public String transactioncode;
        /**
         * 付汇币种
         */
        public String paymentcurrency;
        /**
         * 付汇金额
         */
        public String paymentamount;
        /**
         * 备注
         */
        public String note;

        public String getDeclarecode() {
            return declarecode;
        }

        public void setDeclarecode(String declarecode) {
            this.declarecode = declarecode;
        }

        public String getTransactioncode() {
            return transactioncode;
        }

        public void setTransactioncode(String transactioncode) {
            this.transactioncode = transactioncode;
        }

        public String getPaymentcurrency() {
            return paymentcurrency;
        }

        public void setPaymentcurrency(String paymentcurrency) {
            this.paymentcurrency = paymentcurrency;
        }

        public String getPaymentamount() {
            return paymentamount;
        }

        public void setPaymentamount(String paymentamount) {
            this.paymentamount = paymentamount;
        }

        public String getNote() {
            return note;
        }

        public void setNote(String note) {
            this.note = note;
        }
    }
}
